Nie będzie Firefoksa dla starszych wersji Mac OS X?

Na forum deweloperów Mozilli pojawił się wątek dotyczący przyszłości kolejnych wydań przeglądarki Firefox dla starszych edycji systemu operacyjnego Mac OS X.

W wątku pojawiła się propozycja, aby zakończyć rozwój tej popularnej przeglądarki dla starszych wersji Mac OS X-a niż "Tiger". Dotyczy to więc liczącej już 3,5 roku edycji "Panther" - 10.3 - systemu operacyjnego Apple'a. Czyżby więc z Firefoksa 3.0 mieli korzystać tylko użytkownicy Tygrysa i nadchodzącego Leoparda?

Argumenty za zakończeniem rozwoju przeglądarki dla Mac OS X 10.3 wg jednego z deweloperów Mozilli, Josha Aasa, to przede wszystkim ograniczenie zasobów ludzkich i technicznych oraz zapowiadana na październik premiera Mac OS 10.5. Zwolnienie części programistów z obowiązku zapewnienia kompatybilności nowych wydań przeglądarki ze starszymi wersjami OS-a pozwoliłoby powiększyć "potencjał programistyczny" Mozilli. Dzięki niemu można byłoby znacząco poprawić silnik Gecko 1.9, który ma być wykorzystywany przez Firefoksa 3.0.

Pojawiły się oczywiście głosy sprzeciwu wobec tej propozycji, w tym także ze strony innych programistów Mozilli, należy jednak podkreślić, iż dla Mozilli porzucanie wsparcia starszych systemów operacyjnych nie stanowi żadnej przeszkody. Firefox 3.0 na pewno nie będzie działał pod Windows 98/Me, jak też pod starszymi wersjami niektórych dystrybucji Linuksa.

Więcej informacji: http://groups.google.com , docs.google.com


Zobacz również